const content = document.querySelectorAll('.content');

function handleIntersection(entries) {
	entries.map((entry) => {
		if (entry.isIntersecting) {
			entry.target.classList.add('loaded')
			// Affiche le content visible dans la console
			console.log(entry.target);
			// observer.unobserve(entry.target);
		} else {
			entry.target.classList.remove('loaded')
		}
	});
}

const observer = new IntersectionObserver(handleIntersection);

content.forEach(image => observer.observe(image));